% 
function [valNSS] = getNSS(sfixes,sfixes_shuffle)

    histTot=sfixes+sfixes_shuffle;

    Np=sum(histTot);
    prbTot=histTot/Np;
    media=0;sdev=0;
    for p=1:256
        media=media+((p-1)*prbTot(p));
    end

    for p=1:256
        sdev=sdev+(((p-1-media)^2)*prbTot(p)) ;
    end

    sdev=sqrt(sdev);
    probFix=sfixes/Np;
    NSSmean=0;
    for p=1:256
        NSSmean=NSSmean+(probFix(p)*(p-1-media))/sdev;
    end
    valNSS=NSSmean;
    
end
